
<!DOCTYPE html>
<html>
<head>
    <style>
        .display_red::placeholder{
            color: red;
            opacity: 1;
        }
        

    </style>
	<title>SolarSolutions</title>
	<link rel="stylesheet" type="text/css"  href = "{{ url_for('static',filename='assets/css/Sign_Up.css') }}">
    <link rel="icon"  href = "{{ url_for('static',filename='assets/img/favicon.png') }}">
  <link rel="apple-touch-icon" href = "{{ url_for('static',filename='assets/img/apple-touch-icon.png') }}">
</head>
<body>
<img class="Ellipse-13" src = "{{ url_for('static',filename='assets/img/Ellipse 13.svg') }}">
<img class="Polygon-7" src = "{{ url_for('static',filename='assets/img/Polygon 7.svg') }}">
<div class="container" id="container">
<div class="form-container sign-up-container">

<form method="POST">
	<h1>Sign Up</h1>
    <br>
    <br>

    <input type="username" name="name" placeholder="Username" value="{{old_info['name']}}" required>
    <br>
    <br>

    {% if 'email_sign_up' in errors %}

        <input class="display_red" type="email" name="email" placeholder="This email is taken" required>

    {% else %}
	<input type="email" name="email" placeholder="Email" value="{{ old_info['email_sign_up'] }}" required>
    
    {% endif %}
    
    <br>
    <br>
	
    
    <input type="password" name="password" placeholder="Password" required>
    <br>
    <br>
    <input type="text" name="phone" placeholder="Phone Number" value="{{ old_info['phone'] }}" style="display: none;">
    <br>
    <br>
    <br>
    

    <!-- retrieve old county, old city, and old state -> login or sign up -->
    <input id="get_county" style="display: none;" value="{{old_info['county']}}">
    <input id="get_city" style="display: none;" value="{{ old_info['city'] }}" >
    <input id="get_state" style="display: none;" value="{{ old_info['state'] }}">

    <div class="custom-select" style="margin-left: -78%;">
        <select style="width:190%; height: 200%;" required id="counties" onchange="cities_func('')" name="county">


            <script>

                function counties(){

                    keys = Object.keys(orase)
                    console.log(keys.length)
                    console.log('here')
                    var min = 12,
                    max = 100,
                    select = document.getElementById('counties');
                
                    old_county = document.getElementById('get_county').value;

                    for (var i = 0; i<keys.length; i++){
                        var opt = document.createElement('option');
                        opt.value = keys[i];
                        opt.innerHTML = keys[i];
                        
                        if (opt.value == old_county){
                            opt.selected = true
                        }
                        select.appendChild(opt);
                    }

                    
  
                }
            </script>

        </select>
    </div>


    <div class="custom-select2" style="margin-left: 24%; margin-top: -4%;">
        <select style="width:190%; height:200%;" required id="cities" name="city">
          
            <script>
            
                window.onload = function(){
                    const container = document.getElementById('container');

                    old_state = document.getElementById('get_state').value
                    if (old_state == 'login'){
                        container.classList.add("right-panel-active");
                    }
                    counties();
                    cities_func('');
                };
              function cities_func(county_param){

                  selected_county = document.getElementById('counties').selectedOptions[0];
                  
                  old_city = document.getElementById('get_city').value

                  county = selected_county.value;

                  if (county_param == 'Alba'){
                        county = 'Alba'   
                  } 

                  

                  console.log('BOOM')
                  console.log("selected ", county)
  
                  cities = orase[county];
                  
  
                  select = document.getElementById('cities');
                  while (select.firstChild) {
                      select.removeChild(select.firstChild)
                  }
                  for(let i=0; i<cities.length; i++){
                      var opt = document.createElement('option');
                          opt.value = cities[i];
                          opt.innerHTML = cities[i];

                          if (opt.value == old_city){
                              opt.selected = true
                          }
                          select.appendChild(opt);
                  }
              }
          
            </script>
          
          

          
        </select>
      </div>
    <br>
    <br>
    <br>
    <button name="state" value="create">Create Account</button>
    <br>
    <p style="font-size: 12px;">By creating an account, you agree to Solar Solutions’</p>
    <p class="up">Terms and Conditions & Privacy Policy</p>
    <br>
</form>
</div>
<div class="form-container sign-in-container">
<form method="POST">
	<h1>Sign In</h1>
    <br>
    <br>
    <br>
    <br>
    <br>
    {% if 'email_login' in errors %}
        <input class="display_red" type="email" name="email" placeholder="Your email is wrong" required>
    {% else %}
	    <input type="email" name="email" placeholder="Email" value="{{old_info['email_login']}}" required>
    {% endif %}
    <br>
    <br>
    <br>

    {% if 'password' in errors %}
        <input class="display_red" type="password" name="password" placeholder="Your password is wrong" required>
	{% else %}
        <input type="password" name="password" placeholder="Password" required>
    {% endif %}
    <br>
    <br>
    <br>
    <br>
    <br>
	<button class="in" name="state" value="login" type="submit">Sign In</button>
    <a href="#">Forgot Your Password</a>
</form>
</div>
<div class="overlay-container">
	<div class="overlay">
		<div class="overlay-panel overlay-left">
            <img class="logo" src = "{{ url_for('static',filename='assets/img/logoalb.svg') }}">
            <img class="casanoapte" src = "{{ url_for('static',filename='assets/img/casanoapte3.0.png') }}">
            <div class="bottom-left">
			    <p class="sign">Don't have an account?</p>
			    <button value="#d3f7ff" class="ghostup" id="signUp">SIGN UP</button>
		    </div>
        </div>
		<div class="overlay-panel overlay-right">
            <img class="logo"  src = "{{ url_for('static',filename='assets/img/Group 11.svg') }}">
            <img class="casazi" src = "{{ url_for('static',filename='assets/img/casazi3.0.png') }}">
            <div class="bottom-right">
			    <p>Already have an account?</p>
			    <button value="#0c2346" class="ghostin" id="signIn">SIGN IN</button>
            </div>
		</div>
	</div>
</div>
</div>



<script type="text/javascript">
	const signUpButton = document.getElementById('signUp');
	const signInButton = document.getElementById('signIn');
	const container = document.getElementById('container');


	signInButton.addEventListener('click', () => {
		container.classList.add("right-panel-active");
	});
	signUpButton.addEventListener('click', () => {
		container.classList.remove("right-panel-active");
	});
</script>

<script type="text/javascript" src="{{ url_for('static',filename='assets/js/orase.js') }}"></script>

<script>
    
    function myfunc(){

        keys = Object.keys(orase)
        console.log(keys)
    }

</script>

</body>
</html>